Schedulers
List the scheduled commands belonging to a team.
Returns the scheduled commands belonging to a team.
Endpoint
GET /api/{team}/schedulers
Required ability: schedulers:read
Query parameters
| Parameter | Type | Default | Maximum | Description |
|---|---|---|---|---|
per_page | integer | 20 | 50 | Number of objects per page. |
page | integer | 1 | N/A | The page to retrieve. |
Example request
curl "https://rocketeersapp.com/api/your-team/schedulers?per_page=20" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Accept: application/json"
Example response
{
"data": [
{
"id": 1,
"name": "schedule-run",
"command": "php artisan schedule:run",
"frequency": "* * * * *",
"frequency_name": "Every minute",
"heartbeated_at": "2026-06-24T08:59:00+00:00",
"server_id": 1
},
{
"id": 2,
"name": "nightly-backup",
"command": "php artisan backup:run",
"frequency": "0 2 * * *",
"frequency_name": "Daily at 02:00",
"heartbeated_at": null,
"server_id": 2
}
],
"links": {
"first": "https://rocketeersapp.com/api/your-team/schedulers?page=1",
"last": "https://rocketeersapp.com/api/your-team/schedulers?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"per_page": 20,
"to": 9,
"total": 9,
"path": "https://rocketeersapp.com/api/your-team/schedulers"
},
"results": 9,
"served_in": "8.66ms"
}